Main Page | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# messages.cpp File Reference

## Detailed Description

Message IO functionality.

Definition in file messages.cpp.

Go to the source code of this file.

## Functions
void | show_line_number ()
int | message_out (OfxMsgType error_type, const string message)
| Message output function.
## Variables
SGMLApplication::OpenEntityPtr | entity_ptr
SGMLApplication::Position | position
volatile int | ofx_PARSER_msg = false
volatile int | ofx_DEBUG_msg = false
volatile int | ofx_DEBUG1_msg = false
volatile int | ofx_DEBUG2_msg = false
volatile int | ofx_DEBUG3_msg = false
volatile int | ofx_DEBUG4_msg = false
volatile int | ofx_DEBUG5_msg = false
volatile int | ofx_STATUS_msg = false
volatile int | ofx_INFO_msg = false
volatile int | ofx_WARNING_msg = false
volatile int | ofx_ERROR_msg = false
volatile int | ofx_show_position = true

## Function Documentation

int message_out | ( | OfxMsgType | error_type,
|  | const string | message
| ) |

| Message output function. Prints a message to stdout, if the corresponding message OfxMsgType given in the parameters is enabled Definition at line 58 of file messages.cpp.

## Variable Documentation

SGMLApplication::OpenEntityPtr entity_ptr

| Global for determining the line number in OpenSP Definition at line 25 of file messages.cpp. Referenced by OFXApplication::openEntityChange(), and OFCApplication::openEntityChange().

volatile int ofx_DEBUG1_msg = false

| If set to true, debug level 1 messages will be printed to the console Definition at line 30 of file messages.cpp. Referenced by message_out().

volatile int ofx_DEBUG2_msg = false

| If set to true, debug level 2 messages will be printed to the console Definition at line 31 of file messages.cpp. Referenced by message_out().

volatile int ofx_DEBUG3_msg = false

| If set to true, debug level 3 messages will be printed to the console Definition at line 32 of file messages.cpp. Referenced by message_out().

volatile int ofx_DEBUG4_msg = false

| If set to true, debug level 4 messages will be printed to the console Definition at line 33 of file messages.cpp. Referenced by message_out().

volatile int ofx_DEBUG5_msg = false

| If set to true, debug level 5 messages will be printed to the console Definition at line 34 of file messages.cpp. Referenced by message_out().

volatile int ofx_DEBUG_msg = false

| If set to true, general debug messages will be printed to the console Definition at line 29 of file messages.cpp. Referenced by main(), and message_out().

volatile int ofx_ERROR_msg = false

| If set to true, error messages will be printed to the console Definition at line 38 of file messages.cpp. Referenced by main(), and message_out().

volatile int ofx_INFO_msg = false

| If set to true, information messages will be printed to the console Definition at line 36 of file messages.cpp. Referenced by main(), and message_out().

volatile int ofx_PARSER_msg = false

| If set to true, parser events will be printed to the console Definition at line 28 of file messages.cpp. Referenced by main(), and message_out().

volatile int ofx_show_position = true

| If set to true, the line number will be shown after any error Definition at line 39 of file messages.cpp.

volatile int ofx_STATUS_msg = false

| If set to true, status messages will be printed to the console Definition at line 35 of file messages.cpp. Referenced by main(), and message_out().

volatile int ofx_WARNING_msg = false

| If set to true, warning messages will be printed to the console Definition at line 37 of file messages.cpp. Referenced by main(), and message_out().

SGMLApplication::Position position

| Global for determining the line number in OpenSP Definition at line 26 of file messages.cpp. Referenced by OFXApplication::data(), OFCApplication::data(), OFXApplication::endElement(), OFCApplication::endElement(), OFXApplication::error(), OFCApplication::error(), OFXApplication::startElement(), and OFCApplication::startElement().